Groovy JDK

## primitive-types
Class boolean[]

Method Summary
`Object` | `getAt(int index)` Support the subscript operator for a boolean array
`Object` | `getAt(Range range)` Support the subscript operator with a range for a boolean array
`Object` | `getAt(IntRange range)` Support the subscript operator with an IntRange for a boolean array
`Object` | `getAt(ObjectRange range)` Support the subscript operator with an ObjectRange for a byte array
`Object` | `getAt(Collection indices)` Support the subscript operator with a collection for a boolean array
`Boolean` | `putAt(int idx, Boolean newValue)`
`int` | `size()` Allows arrays to behave similar to collections

Method Detail

### getAt

    public Object getAt(int index)

  Support the subscript operator for a boolean array

Parameters:
  `index` - the index of the item to retrieve.
Returns:
  the boolean at the given index

### getAt

    public Object getAt(Range range)

  Support the subscript operator with a range for a boolean array

Parameters:
  `range` - a range indicating the indices for the items to retrieve.
Returns:
  list of the retrieved booleans

### getAt

    public Object getAt(IntRange range)

  Support the subscript operator with an IntRange for a boolean array

Parameters:
  `range` - an IntRange indicating the indices for the items to retrieve.
Returns:
  list of the retrieved booleans

### getAt

    public Object getAt(ObjectRange range)

  Support the subscript operator with an ObjectRange for a byte array

Parameters:
  `range` - an ObjectRange indicating the indices for the items to retrieve.
Returns:
  list of the retrieved bytes

### getAt

    public Object getAt(Collection indices)

  Support the subscript operator with a collection for a boolean array

Parameters:
  `indices` - a collection of indices for the items to retrieve.
Returns:
  list of the booleans at the given indices

### putAt

    public Boolean putAt(int idx, Boolean newValue)

Parameters:

### size

    public int size()

  Allows arrays to behave similar to collections.

Returns:
  the length of the array

See:
  Array#getLength(Object).

Groovy JDK